Class Specialization
Finite
A finite alphabet of a fixed size.

Simple Type

SimpleType

Finite

SimpleType<TValue, Finite<SIZE> >
Include Headers
seqan/basic.h
Parameters

TValue | The type that is use to store the values. Default: char
SIZE | The ValueSize of the alphabet.

Specialization of
SimpleType
Implements
Simple Type
Metafunctions

IsSimple | Tests type to be simple. (SimpleType)
Spec | The spec of a class. (SimpleType)
Value | Type of the items in the container. (SimpleType)

Functions

assign | Assigns one object to another object. (SimpleType)
assign | Assigns one object to another object. (SimpleType)
ordValue | Maps an alphabet 1-to-1 to the interval [0..ValueSize). (SimpleType)

See Also
ValueSize
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:51